#ifndef ALG_TRY_H
#define ALG_TRY_H

class AlgTry1 : public Algorithm
{
public:
    AlgTry1();
    virtual void Execute( wxImage * bmp_);
};

class AlgTry2 : public Algorithm
{
    public:
        AlgTry2();
        virtual void Execute( wxImage * bmp_, wxImage * bmp2_);
};

class AlgTry3 : public Algorithm
{
    public:
        AlgTry3();
        virtual void Execute( wxImage * bmp_, wxImage * bmp2_, wxImage * bmp3_);
};

class RGBtoBlackWhiteAvg : public Algorithm
{
public:
    RGBtoBlackWhiteAvg();
    virtual void Execute( wxImage * bmp_);
};

class RGBtoBlackWhiteNTSC : public Algorithm
{
public:
    RGBtoBlackWhiteNTSC();
    virtual void Execute( wxImage * bmp_);
};

class AlgMovieDiffImage : public Algorithm
{
public:
    AlgMovieDiffImage();
    virtual void Execute( wxImage * bmp_, wxImage * bmp2_);
};

#endif // ALG_TRY_H
